diff --git a/pki/base/common/src/com/netscape/cms/publish/publishers/LdapCrlPublisher.java b/pki/base/common/src/com/netscape/cms/publish/publishers/LdapCrlPublisher.java
index 7c069f398cdc7950a38295362f7bf9b5c50e903f..6826cc8015407b0d8b13074036073ca641d8a553 100644
--- a/pki/base/common/src/com/netscape/cms/publish/publishers/LdapCrlPublisher.java
+++ b/pki/base/common/src/com/netscape/cms/publish/publishers/LdapCrlPublisher.java
@@ -93,16 +93,16 @@ public class LdapCrlPublisher implements ILdapPublisher, IExtendedPluginInfo {
         return params;
     }
 
-    public Vector getInstanceParams() {
-        Vector v = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> v = new Vector<String>();
 
         v.addElement("crlAttr=" + mCrlAttr);
         v.addElement("crlObjectClass=" + mCrlObjectClass);
         return v;
     }
 
-    public Vector getDefaultParams() {
-        Vector v = new Vector();
+    public Vector<String> getDefaultParams() {
+        Vector<String> v = new Vector<String>();
 
         v.addElement("crlAttr=" + mCrlAttr);
         v.addElement("crlObjectClass=" + mCrlObjectClass);
diff --git a/pki/base/common/src/com/netscape/cms/publish/publishers/LdapUserCertPublisher.java b/pki/base/common/src/com/netscape/cms/publish/publishers/LdapUserCertPublisher.java
index 0eba679adec5499663d3b9c8da165943732f9dbd..e31ce674cd4a08cdb01c84d9b6178cb4ba7f6d24 100644
--- a/pki/base/common/src/com/netscape/cms/publish/publishers/LdapUserCertPublisher.java
+++ b/pki/base/common/src/com/netscape/cms/publish/publishers/LdapUserCertPublisher.java
@@ -79,15 +79,15 @@ public class LdapUserCertPublisher implements ILdapPublisher, IExtendedPluginInf
 
     }
 
-    public Vector getInstanceParams() {
-        Vector v = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> v = new Vector<String>();
 
         v.addElement("certAttr=" + mCertAttr);
         return v;
     }
 
-    public Vector getDefaultParams() {
-        Vector v = new Vector();
+    public Vector<String> getDefaultParams() {
+        Vector<String> v = new Vector<String>();
 
         v.addElement("certAttr=" + mCertAttr);
         return v;
diff --git a/pki/base/common/src/com/netscape/cms/publish/publishers/PublisherUtils.java b/pki/base/common/src/com/netscape/cms/publish/publishers/PublisherUtils.java
index 314e87e63554b9d405b4c9dc2eaa41539d591271..af8d283ddb92e075e6fe92c69500dd16735fb2fc 100644
--- a/pki/base/common/src/com/netscape/cms/publish/publishers/PublisherUtils.java
+++ b/pki/base/common/src/com/netscape/cms/publish/publishers/PublisherUtils.java
@@ -126,7 +126,7 @@ public class PublisherUtils {
      * there'll be trouble if the Vector contains something other
      * than just Strings
      */
-    public static String[] getStringArrayFromVector(Vector v) {
+    public static String[] getStringArrayFromVector(Vector<String> v) {
         String s[] = new String[v.size()];
 
         v.copyInto(s);
diff --git a/pki/base/common/src/com/netscape/cms/request/RequestScheduler.java b/pki/base/common/src/com/netscape/cms/request/RequestScheduler.java
index 089793bbed18241149dea446c0e32e9a8ba1a210..e0ebaefc48f8fda973b91cfff7aadcede0c98a24 100644
--- a/pki/base/common/src/com/netscape/cms/request/RequestScheduler.java
+++ b/pki/base/common/src/com/netscape/cms/request/RequestScheduler.java
@@ -31,7 +31,7 @@ import com.netscape.certsrv.request.IRequestScheduler;
  * @version $Revision$, $Date$
  */
 public class RequestScheduler implements IRequestScheduler {
-    private Vector mRequestThreads = new Vector();
+    private Vector<Thread> mRequestThreads = new Vector<Thread>();
 
     /**
      * Request entered the request queue processing.
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/ACLAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/ACLAdminServlet.java
index bde07533455902376659d0bc6e7c847ce1c49da1..12575675c5cfec81b7c558ba72981f93ef804de0 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/ACLAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/ACLAdminServlet.java
@@ -20,7 +20,6 @@ package com.netscape.cms.servlet.admin;
 import java.io.IOException;
 import java.util.Enumeration;
 import java.util.Hashtable;
-import java.util.Locale;
 
 import javax.servlet.ServletConfig;
 import javax.servlet.ServletException;
@@ -34,7 +33,6 @@ import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.authorization.IAuthzManager;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
-import com.netscape.certsrv.base.SessionContext;
 import com.netscape.certsrv.common.Constants;
 import com.netscape.certsrv.common.NameValuePairs;
 import com.netscape.certsrv.common.OpDef;
@@ -42,7 +40,6 @@ import com.netscape.certsrv.common.ScopeDef;
 import com.netscape.certsrv.evaluators.IAccessEvaluator;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.usrgrp.IUGSubsystem;
-import com.netscape.certsrv.usrgrp.IUser;
 
 /**
  * Manage Access Control List configuration
@@ -119,8 +116,6 @@ public class ACLAdminServlet extends AdminServlet {
             return;
         }
 
-        Locale clientLocale = super.getLocale(req);
-
         try {
             super.authenticate(req);
         } catch (IOException e) {
@@ -130,21 +125,6 @@ public class ACLAdminServlet extends AdminServlet {
             return;
         }
 
-        IUser user = null;
-
-        try {
-            SessionContext mSC = SessionContext.getContext();
-
-            user = (IUser)
-                    mSC.get(SessionContext.USER);
-        } catch (Exception e) {
-            log(ILogger.LL_FAILURE, e.toString());
-            sendResponse(ERROR,
-                    CMS.getUserMessage(getLocale(req), "CMS_ADMIN_SRVLT_PERFORM_FAILED"),
-                    null, resp);
-            return;
-        }
-
         try {
             AUTHZ_RES_NAME = "certServer.acl.configuration";
 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/AdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/AdminServlet.java
index c7d7d619e2b5fe208756c4327bdc3c391ae66340..dbcba085d9e6564e0ad1e88a389410a8216fb87e 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/AdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/AdminServlet.java
@@ -354,10 +354,6 @@ public class AdminServlet extends HttpServlet {
             SessionContext sc = SessionContext.getContext();
             IAuthToken token = null;
 
-            // a kludge for the desperately pinging console
-            String scope = req.getParameter(Constants.OP_SCOPE);
-            String op = req.getParameter(Constants.OP_TYPE);
-
             log(ILogger.LL_DEBUG, CMS.getLogMessage("ADMIN_SRVLT_ABOUT_AUTH",
                     mServletID));
             try {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/LogAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/LogAdminServlet.java
index be723fcd66e7bdec40ec2b11ab4d0b26f60591d9..bf9f169d61d505a7b95aa1d0e60e620c9ade42ce 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/LogAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/LogAdminServlet.java
@@ -339,7 +339,6 @@ public class LogAdminServlet extends AdminServlet {
             IOException, EBaseException {
 
         NameValuePairs params = new NameValuePairs();
-        String insts = null;
         Enumeration<String> e = mSys.getLogInsts().keys();
 
         for (; e.hasMoreElements();) {
@@ -1148,10 +1147,7 @@ public class LogAdminServlet extends AdminServlet {
             // only remove from memory
             // cannot shutdown because we don't keep track of whether it's
             // being used. 
-            ILogEventListener logInst = (ILogEventListener)
-                    mSys.getLogInstance(id);
-
-            mSys.getLogInsts().remove((Object) id);
+            mSys.getLogInsts().remove(id);
 
             // remove the configuration.
             IConfigStore destStore =
@@ -1453,7 +1449,6 @@ public class LogAdminServlet extends AdminServlet {
         // to the signed audit log and stored as failures
         try {
             String id = req.getParameter(Constants.RS_ID);
-            String type = "";
 
             // if this "required" parameter is not present,
             // always log messages to the signed audit log
@@ -1670,10 +1665,6 @@ public class LogAdminServlet extends AdminServlet {
                             val = Integer.toString(60 * 60 * 24 * 365);
                     }
 
-                    if (key.equals(Constants.PR_LOG_TYPE)) {
-                        type = val;
-                    }
-
                     if (val != null) {
                         if (key.equals("fileName")) {
                             String origVal = substore.getString(key);
@@ -1771,11 +1762,9 @@ public class LogAdminServlet extends AdminServlet {
             // Instantiate an object for new implementation
 
             String className = plugin.getClassPath();
-            ILogEventListener newMgrInst = null;
 
             try {
-                newMgrInst = (ILogEventListener)
-                        Class.forName(className).newInstance();
+                Class.forName(className).newInstance();
             } catch (ClassNotFoundException e) {
                 // check to see if the log file path parameter was changed
                 newLogPath = auditCheckLogPath(req);
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/OCSPAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/OCSPAdminServlet.java
index 59eead9df5e763b9714e503e69b366961df8f9a0..0e6784413266147fc77736efc0e1163aca0aa584 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/OCSPAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/OCSPAdminServlet.java
@@ -491,7 +491,6 @@ public class OCSPAdminServlet extends AdminServlet {
         try {
             @SuppressWarnings("unchecked")
             Enumeration<String> enum1 = req.getParameterNames();
-            boolean restart = false;
 
             while (enum1.hasMoreElements()) {
                 String key = (String) enum1.nextElement();
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/PolicyAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/PolicyAdminServlet.java
index 9eb5c3455f51c16fb1b209a5bbe3652feff372dc..f656cbd440ff741a729fc976ecc6df11f0458e7f 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/PolicyAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/PolicyAdminServlet.java
@@ -465,7 +465,6 @@ public class PolicyAdminServlet extends AdminServlet {
 
         // Assemble name value pairs
         NameValuePairs nvp = new NameValuePairs();
-        String instName, rest;
 
         while (instancesInfo.hasMoreElements()) {
             String info = instancesInfo.nextElement();
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/PublisherAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/PublisherAdminServlet.java
index 3774d6e6f44cf244a1ec6b30173747014e3867ae..483ac42ef3a75c5d3a08a36fb07523f842655a49 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/PublisherAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/PublisherAdminServlet.java
@@ -372,7 +372,6 @@ public class PublisherAdminServlet extends AdminServlet {
 
         if (implType.equals(Constants.PR_EXT_PLUGIN_IMPLTYPE_PUBLISHRULE)) {
             IPublisherProcessor p_processor = mProcessor;
-            RulePlugin plugin = p_processor.getRulePlugins().get(implName);
 
             // Should get the registered rules from processor
             // instead of plugin
@@ -1324,10 +1323,7 @@ public class PublisherAdminServlet extends AdminServlet {
         // only remove from memory
         // cannot shutdown because we don't keep track of whether it's
         // being used. 
-        ILdapMapper mapperInst = (ILdapMapper)
-                mProcessor.getMapperInstance(id);
-
-        mProcessor.getMapperInsts().remove((Object) id);
+        mProcessor.getMapperInsts().remove(id);
 
         // remove the configuration.
         IConfigStore destStore =
@@ -2019,10 +2015,7 @@ public class PublisherAdminServlet extends AdminServlet {
         // only remove from memory
         // cannot shutdown because we don't keep track of whether it's
         // being used. 
-        ILdapRule ruleInst = (ILdapRule)
-                mProcessor.getRuleInsts().get(id);
-
-        mProcessor.getRuleInsts().remove((Object) id);
+        mProcessor.getRuleInsts().remove(id);
 
         // remove the configuration.
         IConfigStore destStore =
@@ -2674,9 +2667,7 @@ public class PublisherAdminServlet extends AdminServlet {
         // only remove from memory
         // cannot shutdown because we don't keep track of whether it's
         // being used. 
-        ILdapPublisher publisherInst = mProcessor.getPublisherInstance(id);
-
-        mProcessor.getPublisherInsts().remove((Object) id);
+        mProcessor.getPublisherInsts().remove(id);
 
         // remove the configuration.
         IConfigStore destStore =
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/RegistryAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/RegistryAdminServlet.java
index aa5494f0d0517055045670090e8b3a2adbbcfdf0..4bebe85d3d9d1f1d1b99d816b91af0ec519bb582 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/RegistryAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/RegistryAdminServlet.java
@@ -155,7 +155,6 @@ public class RegistryAdminServlet extends AdminServlet {
             throws ServletException, IOException {
         // Get operation type
         String op = req.getParameter(Constants.OP_TYPE);
-        String scope = req.getParameter(Constants.OP_SCOPE);
 
         if (op.equals(OpDef.OP_SEARCH)) {
             if (!readAuthorize(req, resp))
diff --git a/pki/base/common/src/com/netscape/cms/servlet/base/DynamicVariablesServlet.java b/pki/base/common/src/com/netscape/cms/servlet/base/DynamicVariablesServlet.java
index b0a97e9b51ccd7355b1b9770231df7d9eff6ce46..0bf72687992485ad49a4975f5114280b90885091 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/base/DynamicVariablesServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/base/DynamicVariablesServlet.java
@@ -34,7 +34,6 @@ import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.authentication.AuthMgrPlugin;
 import com.netscape.certsrv.authentication.IAuthManager;
 import com.netscape.certsrv.authentication.IAuthSubsystem;
-import com.netscape.certsrv.authentication.IAuthToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 
@@ -200,7 +199,7 @@ public class DynamicVariablesServlet extends CMSServlet {
 
         if (mAuthMgr != null) {
             try {
-                IAuthToken token = authenticate(httpReq);
+                authenticate(httpReq);
             } catch (EBaseException e) {
                 mServletCtx.log(CMS.getLogMessage("CMSGW_FILE_NO_ACCESS", e.toString()));
                 httpResp.sendError(HttpServletResponse.SC_FORBIDDEN);
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java b/pki/base/common/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java
index 0dfe4a26cdd48059bb42b2158c54aa3a9001710b..5af09ad0dd615d34730f0d731941a0bafe7bde13 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java
@@ -200,7 +200,6 @@ public class CMCRevReqServlet extends CMSServlet {
         if (authToken != null) {
             reasonCode = authToken.getInInteger(REASON_CODE);
         }
-        RevocationReason reason = RevocationReason.fromInt(reasonCode.intValue());
 
         String comments = "";
         Date invalidityDate = null;
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/DisplayBySerial.java b/pki/base/common/src/com/netscape/cms/servlet/cert/DisplayBySerial.java
index 4c0b56f0b7a1c11889388a84884fe6fb343037a1..5a1e4ed6596c99e3addbc298ab44ef41753cb692 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/DisplayBySerial.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/DisplayBySerial.java
@@ -160,7 +160,7 @@ public class DisplayBySerial extends CMSServlet {
             }
 
             serialNumber = getSerialNumber(req);
-            ICertRecord rec = getCertRecord(serialNumber, certType);
+            getCertRecord(serialNumber, certType); //throw exception on error
 
             if (certType[0].equalsIgnoreCase("x509")) {
                 form = getTemplate(mForm1Path, req, locale);
@@ -230,7 +230,7 @@ public class DisplayBySerial extends CMSServlet {
         String certType[] = new String[1];
 
         try {
-            ICertRecord rec = getCertRecord(seq, certType);
+            getCertRecord(seq, certType); // throw exception on error
 
             if (certType[0].equalsIgnoreCase("x509")) {
                 processX509(argSet, header, seq, req, resp, locale);
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/DoRevoke.java b/pki/base/common/src/com/netscape/cms/servlet/cert/DoRevoke.java
index b84f5ace14ba8abe694a76793ebe00a0632a982e..1594c532378d57d392fdf237b77c1792ddeae4c1 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/DoRevoke.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/DoRevoke.java
@@ -291,7 +291,7 @@ public class DoRevoke extends CMSServlet {
                 if (authToken != null) {
 
                     String serialNumber = req.getParameter("serialNumber");
-                    X509CertImpl sslCert = (X509CertImpl) getSSLClientCertificate(req);
+                    getSSLClientCertificate(req); // throw exception on error
 
                     if (serialNumber != null) {
                         eeSerialNumber = serialNumber;
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/DoRevokeTPS.java b/pki/base/common/src/com/netscape/cms/servlet/cert/DoRevokeTPS.java
index 853fa1e45b95d0a7bc8d74f4bf93682cbaad049d..c4603dd511045ac8c04708a6750fd445025123ae 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/DoRevokeTPS.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/DoRevokeTPS.java
@@ -27,7 +27,6 @@ import java.math.BigInteger;
 
 import javax.servlet.ServletConfig;
 import javax.servlet.ServletException;
-import javax.servlet.ServletOutputStream;
 import javax.servlet.http.HttpServletRequest;
 import javax.servlet.http.HttpServletResponse;
 
@@ -254,8 +253,6 @@ public class DoRevokeTPS extends CMSServlet {
         }
 
         try {
-            ServletOutputStream out = resp.getOutputStream();
-
             if (!authorized) {
                 o_status = "status=3";
                 errorString = "error=unauthorized";
@@ -684,19 +681,6 @@ public class DoRevokeTPS extends CMSServlet {
 
                 if (mPublisherProcessor != null && mPublisherProcessor.ldapEnabled()) {
                     header.addStringValue("dirEnabled", "yes");
-                    Integer[] ldapPublishStatus =
-                            revReq.getExtDataInIntegerArray("ldapPublishStatus");
-                    int certsToUpdate = 0;
-                    int certsUpdated = 0;
-
-                    if (ldapPublishStatus != null) {
-                        certsToUpdate = ldapPublishStatus.length;
-                        for (int i = 0; i < certsToUpdate; i++) {
-                            if (ldapPublishStatus[i] == IRequest.RES_SUCCESS) {
-                                certsUpdated++;
-                            }
-                        }
-                    }
 
                     // add crl publishing status. 
                     String publError =
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/DoUnrevoke.java b/pki/base/common/src/com/netscape/cms/servlet/cert/DoUnrevoke.java
index c5fb568f2d58fb40d54c21db7a8fdaea0d0f2f9c..c6b6065b417a09bddc2e46a089c3b00ad1c4522e 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/DoUnrevoke.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/DoUnrevoke.java
@@ -577,7 +577,7 @@ public class DoUnrevoke extends CMSServlet {
         String serialNumString = req.getParameter("serialNumber");
 
         StringTokenizer snList = new StringTokenizer(serialNumString, " ");
-        Vector biList = new Vector();
+        Vector<BigInteger> biList = new Vector<BigInteger>();
         while (snList.hasMoreTokens()) {
             String snStr = snList.nextToken();
             if (snStr != null) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/DoUnrevokeTPS.java b/pki/base/common/src/com/netscape/cms/servlet/cert/DoUnrevokeTPS.java
index 9696198158e9bb429977172533355024a98fdb69..5d096aff325b6d85996685db1b9e7e66900ced01 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/DoUnrevokeTPS.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/DoUnrevokeTPS.java
@@ -27,7 +27,6 @@ import java.util.Vector;
 
 import javax.servlet.ServletConfig;
 import javax.servlet.ServletException;
-import javax.servlet.ServletOutputStream;
 import javax.servlet.http.HttpServletRequest;
 import javax.servlet.http.HttpServletResponse;
 
@@ -51,7 +50,6 @@ import com.netscape.certsrv.request.IRequestQueue;
 import com.netscape.certsrv.request.RequestStatus;
 import com.netscape.cms.servlet.base.CMSServlet;
 import com.netscape.cms.servlet.common.CMSRequest;
-import com.netscape.cms.servlet.common.CMSTemplate;
 import com.netscape.cms.servlet.common.ECMSGWException;
 
 /**
@@ -125,8 +123,6 @@ public class DoUnrevokeTPS extends CMSServlet {
         BigInteger[] serialNumbers;
         EBaseException error = null;
 
-        CMSTemplate form = null;
-
         Locale[] locale = new Locale[1];
 
         /*
@@ -195,8 +191,6 @@ public class DoUnrevokeTPS extends CMSServlet {
         }
 
         try {
-            ServletOutputStream out = resp.getOutputStream();
-
             if (error == null) {
                 o_status = "status=0";
                 errorString = "error=";
@@ -530,7 +524,7 @@ public class DoUnrevokeTPS extends CMSServlet {
         String serialNumString = req.getParameter("serialNumber");
 
         StringTokenizer snList = new StringTokenizer(serialNumString, " ");
-        Vector biList = new Vector();
+        Vector<BigInteger> biList = new Vector<BigInteger>();
         while (snList.hasMoreTokens()) {
             String snStr = snList.nextToken();
             if (snStr != null) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/EnrollServlet.java b/pki/base/common/src/com/netscape/cms/servlet/cert/EnrollServlet.java
index b580d7f7922ecd501b779d17f293da8aa6608efa..a73a8146ce2547eb4926a045c013c11dfa237f85 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/EnrollServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/EnrollServlet.java
@@ -473,7 +473,6 @@ public class EnrollServlet extends CMSServlet {
                 (ICertRecordList) mCa.getCertificateRepository().findCertRecordsInList(filter, null, 10);
         int size = list.getSize();
         Enumeration<ICertRecord> en = list.getCertRecords(0, size - 1);
-        boolean gotEncCert = false;
 
         CMS.debug("EnrollServlet: signing cert filter " + filter);
 
@@ -989,14 +988,9 @@ public class EnrollServlet extends CMSServlet {
                     SUBJECT_KEYGEN_INFO, null);
             PKCS10 pkcs10 = null;
 
-            String certType = null;
-
-            //
-            String test = httpParams.getValueAsString("certNickname", null);
-
             // support Enterprise 3.5.1 server where CERT_TYPE=csrCertType
             // instead of certType
-            certType = httpParams.getValueAsString(OLD_CERT_TYPE, null);
+            String certType = httpParams.getValueAsString(OLD_CERT_TYPE, null);
             CMS.debug("EnrollServlet: certType " + certType);
 
             if (certType == null) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/GetBySerial.java b/pki/base/common/src/com/netscape/cms/servlet/cert/GetBySerial.java
index b9a2221f219da412187ecc6d3aee4353414aac22..663397f5424a2ab276ed6af5dcfc24af252123eb 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/GetBySerial.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/GetBySerial.java
@@ -122,8 +122,6 @@ public class GetBySerial extends CMSServlet {
      * @param cmsReq the object holding the request and response information
      */
     public void process(CMSRequest cmsReq) throws EBaseException {
-        int serialNumber = -1;
-        boolean noError = true;
 
         HttpServletRequest req = cmsReq.getHttpReq();
         HttpServletResponse response = cmsReq.getHttpResp();
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/GetCAChain.java b/pki/base/common/src/com/netscape/cms/servlet/cert/GetCAChain.java
index ae75994983fa6a58d546e6584d905c4fd4bb9529..fe55f335bffa8db7ba8595acd88ab14ca5476e53 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/GetCAChain.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/GetCAChain.java
@@ -255,7 +255,6 @@ public class GetCAChain extends CMSServlet {
             HttpServletResponse httpResp,
             CMSRequest cmsReq)
             throws EBaseException {
-        String outputString = null;
 
         CertificateChain certChain =
                 ((ICertAuthority) mAuthority).getCACertChain();
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/GetInfo.java b/pki/base/common/src/com/netscape/cms/servlet/cert/GetInfo.java
index 9db5cb892101874eee84c40c63b27880d17b6aee..6af5c0c39f21c70a29090c175af48ae90f802d23 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/GetInfo.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/GetInfo.java
@@ -314,7 +314,7 @@ public class GetInfo extends CMSServlet {
 
                         if (crlSplits.length() > 0)
                             crlSplits.append("+");
-                        Vector splits = ip.getSplitTimes();
+                        Vector<Long> splits = ip.getSplitTimes();
 
                         for (int i = 0; i < splits.size(); i++) {
                             crlSplits.append(splits.elementAt(i));
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/HashEnrollServlet.java b/pki/base/common/src/com/netscape/cms/servlet/cert/HashEnrollServlet.java
index 4af8a6a6815884ee0024736c4be7100bf5df37e6..5e6207e1a316bfa1eaa9b56e612ec0515cd00fc4 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/HashEnrollServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/HashEnrollServlet.java
@@ -67,7 +67,6 @@ import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.IConfigStore;
-import com.netscape.certsrv.base.KeyGenInfo;
 import com.netscape.certsrv.ca.ICertificateAuthority;
 import com.netscape.certsrv.dbs.certdb.ICertRecord;
 import com.netscape.certsrv.dbs.certdb.ICertRecordList;
@@ -413,18 +412,9 @@ public class HashEnrollServlet extends CMSServlet {
             // }
         }
 
-        // fill certInfo from input types: keygen, cmc, pkcs10 or crmf
-        KeyGenInfo keyGenInfo =
-                httpParams.getValueAsKeyGenInfo(SUBJECT_KEYGEN_INFO, null);
-
-        String certType = null;
-
-        //
-        String test = httpParams.getValueAsString("certNickname", null);
-
         // support Enterprise 3.5.1 server where CERT_TYPE=csrCertType
         // instead of certType
-        certType = httpParams.getValueAsString(OLD_CERT_TYPE, null);
+        String certType = httpParams.getValueAsString(OLD_CERT_TYPE, null);
         if (certType == null) {
             certType = httpParams.getValueAsString(CERT_TYPE, "client");
         } else {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/RevocationServlet.java b/pki/base/common/src/com/netscape/cms/servlet/cert/RevocationServlet.java
index 663eaae1a977ea060a9a711e3dc1db1ab048e1f7..22aa29eda9b4de1606da32b9e196b06a7ee6c445 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/RevocationServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/RevocationServlet.java
@@ -149,7 +149,6 @@ public class RevocationServlet extends CMSServlet {
 
         BigInteger old_serial_no = null;
         X509CertImpl old_cert = null;
-        String revokeAll = null;
 
         CMSTemplate form = null;
         Locale[] locale = new Locale[1];
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/UpdateCRL.java b/pki/base/common/src/com/netscape/cms/servlet/cert/UpdateCRL.java
index 680886b95dcfc28b69924665ee0ff86efa062856..c0298d1e7bfe86d4f638ef948b70f9e4a377c5e8 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/UpdateCRL.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/UpdateCRL.java
@@ -121,7 +121,6 @@ public class UpdateCRL extends CMSServlet {
             statsSub.startTiming("crl", true /* main action */);
         }
 
-        long startTime = CMS.getCurrentDate().getTime();
         IAuthToken authToken = authenticate(cmsReq);
         AuthzToken authzToken = null;
 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java b/pki/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java
index 525775d62848bb706482c1c07d244a6040e4a0eb..90a48cb4e802dd8f2943f24c89d18d86a9559d76 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java
@@ -1112,7 +1112,6 @@ public class CRSEnrollment extends HttpServlet {
         KeyWrapper kw;
         Cipher cip;
         EncryptionAlgorithm ea;
-        boolean errorInRequest = false;
 
         // Unwrap the session key with the Cert server key
         try {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/common/CMCOutputTemplate.java b/pki/base/common/src/com/netscape/cms/servlet/common/CMCOutputTemplate.java
index 2edfc4f089cd0eaa416d157aec38d36447d572f8..38fcf24f9d11745c7b425bc3ac53975ffd339bd4 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/common/CMCOutputTemplate.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/common/CMCOutputTemplate.java
@@ -631,7 +631,6 @@ public class CMCOutputTemplate {
                         IRequestQueue queue = ca.getRequestQueue();
                         IRequest r = queue.findRequest(new RequestId(requestId));
                         if (r != null) {
-                            Integer result = r.getExtDataInInteger(IRequest.RESULT);
                             RequestStatus status = r.getRequestStatus();
                             if (status.equals(RequestStatus.PENDING)) {
                                 pending_bpids.addElement(reqId);
